<?php

declare(strict_types=1);

namespace Dedi\SyliusBannerPlugin\Entity;

use Doctrine\ORM\Mapping as ORM;
use Sylius\Component\Resource\Model\AbstractTranslation;

/**
 * @ORM\MappedSuperclass
 * @ORM\Table(name="dedi_banner_alert_message_translation")
 */
class AlertMessageTranslation extends AbstractTranslation implements AlertMessageTranslationInterface
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\Column(type="integer", nullable=false, name="id")
     */
    private ?int $id;

    /** @ORM\Column(name="title", type="string", nullable=true) */
    private ?string $title = null;

    /** @ORM\Column(name="message", type="text", nullable=false) */
    private ?string $message = null;

    /** @ORM\Column(name="link", type="string", nullable=true) */
    private ?string $link = null;

    /** @ORM\Column(name="link_label", type="string", nullable=true) */
    private ?string $linkLabel = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function setId(?int $id): self
    {
        $this->id = $id;

        return $this;
    }

    public function getMessage(): ?string
    {
        return $this->message;
    }

    public function setMessage(?string $message): self
    {
        $this->message = $message;

        return $this;
    }

    public function getLink(): ?string
    {
        return $this->link;
    }

    public function setLink(?string $link): self
    {
        $this->link = $link;

        return $this;
    }

    public function getLinkLabel(): ?string
    {
        return $this->linkLabel;
    }

    public function setLinkLabel(?string $linkLabel): self
    {
        $this->linkLabel = $linkLabel;

        return $this;
    }

    public function getTitle(): ?string
    {
        return $this->title;
    }

    public function setTitle(?string $title): self
    {
        $this->title = $title;

        return $this;
    }
}
